## Apache Zeta Components Manual :: Docs For Class ezcFeedCategoryElement

### Feed::ezcFeedCategoryElement

### Class ezcFeedCategoryElement

Class defining a category.

Source for this file: /Feed/src/structs/category.php

    ezcFeedElement
       |
       --ezcFeedCategoryElement

Version: | //autogentag//

### Properties

ezcFeedCategoryElement | read/write | `$category` A subcategory of the category.
string | read/write | `$label` The label value of the category.
string | read/write | `$scheme` The scheme (domain) value of the category.
string | read/write | `$term` The readable value of the category.

### Member Variables

public ezcFeedCategoryElement | `$category` Subcategory for the category.
public string | `$label` The label for the category.
public string | `$scheme` The scheme (domain) for the category.
public string | `$term` The term (name) of the category.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public ezcFeedCategoryElement | `add( $name )` Adds a new element with name $name to the feed item and returns it.

### Methods

#### add

ezcFeedCategoryElement add( string $name )

Adds a new element with name $name to the feed item and returns it.

The subcategory is only used by the iTunes module (ezcFeedITunesModule).

Example:

1. // $feed is an ezcFeed object
2. $category=$feed-> add ('category');
3. $category-> term ='Technology';
4. $subCategory=$category-> add ('category');
5. $subCategory-> term ='Gadgets';

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the element to add

Documentation generated by phpDocumentor 1.4.3